Bug 589739 - CPUSCALING test includes unprocessed tags around displayed text
CPUSCALING test includes unprocessed tags around displayed text
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 15:27 EDT by Gary Case
Modified: 2011-05-09 12:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In v7 1.1, unprocessed tags were displayed in running output during cpuscaling test. This issue has been fixed in v7 1.3, now cpuscaling test output does not contain any unprocessed tags around displayed text.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-09 12:14:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hardwaretest.patch moving from "make run" to direct test call (4.46 KB, application/octet-stream)
2011-01-26 09:26 EST, Greg Nichols
no flags Details
New Log class to manage test output (1.87 KB, application/octet-stream)
2011-01-26 09:28 EST, Greg Nichols
no flags Details
test.py patch changing XML tagging out test output logs (1.41 KB, application/octet-stream)
2011-01-26 09:31 EST, Greg Nichols
no flags Details
tests directory patch removing unused testinfo.desc generation (32.60 KB, patch)
2011-01-28 09:59 EST, Greg Nichols
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0497 normal SHIPPED_LIVE v7 bug fix and enhancement update 2011-05-09 12:11:16 EDT

  None (edit)
Description Gary Case 2010-05-06 15:27:32 EDT
Description of problem:
The CPUSCALING test displays tags that shouldn't be seen while it's running.

Version-Release number of selected component (if applicable):
v7 1.1-23

How reproducible:
always

Steps to Reproduce:
1. Run CPUSCALING test
2.
3.
  
Actual results:

After tests, you can see
<summary>PASS</summary>
</output>
Current load average: 
<output name="On Demand" description="None">
<output name="User Space" description="None">
<output name="On Demand" description="None">
You can also see 

<output>

<output name="Capabilities" description=None>

...finished running ./cpuscaling.py, exit code=0
</output>
recovered exit code=0

Expected results:
Hidden output should be hidden

Additional info:
Comment 1 Greg Nichols 2010-05-06 16:08:24 EDT
These tags are expected as part of the implementation of subtest marking in the current implementation.    They're a consequence of the current implementation that runs test via a separate shell ("make run" which invokes the tests' python code).  We should be able to clean this up when v7's implementation changes to call test code directly via python function call to the test code.
Comment 3 Greg Nichols 2011-01-26 09:26:37 EST
Created attachment 475399 [details]
hardwaretest.patch moving from "make run" to direct test call

This patch changes v7 to directly call the "run" function of each test, rather than the old method of calling "make run" within the test directory.  This change allows control over test logging so that logs can be XML, while console output can be regular text without XML tagging.
Comment 4 Greg Nichols 2011-01-26 09:28:58 EST
Created attachment 475400 [details]
New Log class to manage test output

The new Log class replaces use of "tee" within a shell for logging test output to stdout, as well as displaying it on a terminal.  The Log class assigns to sys.stdout and sys.stderr, effectively redirecting stdout to a Log object, we sends output to the file, and the console.
Comment 5 Greg Nichols 2011-01-26 09:31:27 EST
Created attachment 475401 [details]
test.py patch changing XML tagging out test output logs

This patch to test.py changes code used by tests to mark test subsections with XML so that the tags are only sent to the log file, and not to the console.
Comment 8 Greg Nichols 2011-01-28 09:59:42 EST
Created attachment 475815 [details]
tests directory patch removing unused testinfo.desc generation
Comment 11 Caspar Zhang 2011-04-30 04:01:04 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In v7 1.1, unprocessed tags were displayed in running output during cpuscaling test. This issue has been fixed in v7 1.3, now cpuscaling test output does not contain any unprocessed tags around displayed text.
Comment 12 Caspar Zhang 2011-04-30 04:17:43 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-In v7 1.1, unprocessed tags were displayed in running output during cpuscaling test. This issue has been fixed in v7 1.3, now cpuscaling test output does not contain any unprocessed tags around displayed text.+In v7-1.1, unprocessed tags were displayed in running output during cpuscaling test. This issue has been fixed in v7-1.3, now cpuscaling test output does not contain any unprocessed tags around displayed text.
Comment 13 Caspar Zhang 2011-04-30 04:18:27 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-In v7-1.1, unprocessed tags were displayed in running output during cpuscaling test. This issue has been fixed in v7-1.3, now cpuscaling test output does not contain any unprocessed tags around displayed text.+In v7 1.1, unprocessed tags were displayed in running output during cpuscaling test. This issue has been fixed in v7 1.3, now cpuscaling test output does not contain any unprocessed tags around displayed text.
Comment 14 errata-xmlrpc 2011-05-09 12:14:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0497.html

Note You need to log in before you can comment on or make changes to this bug.